diff --git a/mimelib/dwstring.cpp b/mimelib/dwstring.cpp
index b8686e417..9a46bfa8b 100644
--- a/mimelib/dwstring.cpp
+++ b/mimelib/dwstring.cpp
@@ -365,7 +365,7 @@ DwString::DwString(const char* aBuf, size_t aLen)
     mRep = new_rep_reference(sEmptyRep);
     mStart = 0;
     mLength = 0;
-    _tqreplace(0, mLength, aBuf, aLen);
+    _replace(0, mLength, aBuf, aLen);
 }
 
 
@@ -400,7 +400,7 @@ DwString::DwString(const char* aCstr)
     mLength = 0;
     if ( aCstr ) {
         size_t len = strlen(aCstr);
-        _tqreplace(0, mLength, aCstr, len);
+        _replace(0, mLength, aCstr, len);
     }
 }
 
@@ -418,7 +418,7 @@ DwString::DwString(size_t aLen, char aChar)
     mRep = new_rep_reference(sEmptyRep);
     mStart = 0;
     mLength = 0;
-    _tqreplace(0, mLength, aLen, aChar);
+    _replace(0, mLength, aLen, aChar);
 }
 
 
@@ -476,7 +476,7 @@ void DwString::resize(size_t aLen, char aChar)
     }
     // expanding string
     else if (aLen > mLength) {
-        _tqreplace(mLength, 0, aLen-mLength, aChar);
+        _replace(mLength, 0, aLen-mLength, aChar);
     }
 }
 
@@ -534,10 +534,10 @@ DwString& DwString::append(const DwString& aStr, size_t aPos,
     size_t len = DW_MIN(aLen, aStr.mLength - pos);
     if (&aStr == this) {
         DwString temp(aStr);
-        _tqreplace(mLength, 0, &temp.mRep->mBuffer[temp.mStart+pos], len);
+        _replace(mLength, 0, &temp.mRep->mBuffer[temp.mStart+pos], len);
     }
     else {
-        _tqreplace(mLength, 0, &aStr.mRep->mBuffer[aStr.mStart+pos], len);
+        _replace(mLength, 0, &aStr.mRep->mBuffer[aStr.mStart+pos], len);
     }
     return *this;
 }
@@ -547,7 +547,7 @@ DwString& DwString::append(const char* aBuf, size_t aLen)
 {
     assert(aBuf != 0);
     if (aBuf != 0) {
-        _tqreplace(mLength, 0, aBuf, aLen);
+        _replace(mLength, 0, aBuf, aLen);
     }
     return *this;
 }
@@ -557,14 +557,14 @@ DwString& DwString::append(const char* aCstr)
 {
     assert(aCstr != 0);
     size_t len = (aCstr) ? strlen(aCstr) : 0;
-    _tqreplace(mLength, 0, aCstr, len);
+    _replace(mLength, 0, aCstr, len);
     return *this;
 }
 
 
 DwString& DwString::append(size_t aLen, char aChar)
 {
-    _tqreplace(mLength, 0, aLen, aChar);
+    _replace(mLength, 0, aLen, aChar);
     return *this;
 }
 
@@ -601,7 +601,7 @@ DwString& DwString::assign(const char* aBuf, size_t aLen)
 {
     assert(aBuf != 0);
     assert(aLen != (size_t)-1);
-    _tqreplace(0, mLength, aBuf, aLen);
+    _replace(0, mLength, aBuf, aLen);
     return *this;
 }
 
@@ -610,7 +610,7 @@ DwString& DwString::assign(const char* aCstr)
 {
     assert(aCstr != 0);
     size_t len = (aCstr) ? strlen(aCstr) : 0;
-    _tqreplace(0, mLength, aCstr, len);
+    _replace(0, mLength, aCstr, len);
     return *this;
 }
 
@@ -618,7 +618,7 @@ DwString& DwString::assign(const char* aCstr)
 DwString& DwString::assign(size_t aLen, char aChar)
 {
     assert(aLen != (size_t)-1);
-    _tqreplace(0, mLength, aLen, aChar);
+    _replace(0, mLength, aLen, aChar);
     return *this;
 }
 
@@ -638,10 +638,10 @@ DwString& DwString::insert(size_t aPos1, const DwString& aStr,
     size_t len2 = DW_MIN(aLen2, aStr.mLength - pos2);
     if (&aStr == this) {
         DwString temp(aStr);
-        _tqreplace(aPos1, 0, &temp.mRep->mBuffer[temp.mStart+pos2], len2);
+        _replace(aPos1, 0, &temp.mRep->mBuffer[temp.mStart+pos2], len2);
     }
     else {
-        _tqreplace(aPos1, 0, &aStr.mRep->mBuffer[aStr.mStart+pos2], len2);
+        _replace(aPos1, 0, &aStr.mRep->mBuffer[aStr.mStart+pos2], len2);
     }
     return *this;
 }
@@ -650,7 +650,7 @@ DwString& DwString::insert(size_t aPos1, const DwString& aStr,
 DwString& DwString::insert(size_t aPos, const char* aBuf, size_t aLen)
 {
     assert(aBuf != 0);
-    _tqreplace(aPos, 0, aBuf, aLen);
+    _replace(aPos, 0, aBuf, aLen);
     return *this;
 }
 
@@ -659,14 +659,14 @@ DwString& DwString::insert(size_t aPos, const char* aCstr)
 {
     assert(aCstr != 0);
     size_t len = (aCstr) ? strlen(aCstr) : 0;
-    _tqreplace(aPos, 0, aCstr, len);
+    _replace(aPos, 0, aCstr, len);
     return *this;
 }
 
 
 DwString& DwString::insert(size_t aPos, size_t aLen, char aChar)
 {
-    _tqreplace(aPos, 0, aLen, aChar);
+    _replace(aPos, 0, aLen, aChar);
     return *this;
 }
 
@@ -676,18 +676,18 @@ DwString& DwString::erase(size_t aPos, size_t aLen)
     assert(aPos <= mLength);
     size_t pos = DW_MIN(aPos, mLength);
     size_t len = DW_MIN(aLen, mLength - pos);
-    _tqreplace(pos, len, "", 0);
+    _replace(pos, len, "", 0);
     return *this;
 }
 
 
-DwString& DwString::tqreplace(size_t aPos1, size_t aLen1, const DwString& aStr)
+DwString& DwString::replace(size_t aPos1, size_t aLen1, const DwString& aStr)
 {
-    return tqreplace(aPos1, aLen1, aStr, 0, aStr.mLength);
+    return replace(aPos1, aLen1, aStr, 0, aStr.mLength);
 }
 
 
-DwString& DwString::tqreplace(size_t aPos1, size_t aLen1, const DwString& aStr,
+DwString& DwString::replace(size_t aPos1, size_t aLen1, const DwString& aStr,
     size_t aPos2, size_t aLen2)
 {
     assert(aPos2 <= aStr.mLength);
@@ -695,35 +695,35 @@ DwString& DwString::tqreplace(size_t aPos1, size_t aLen1, const DwString& aStr,
     size_t len2 = DW_MIN(aLen2, aStr.mLength - pos2);
     if (&aStr == this) {
         DwString temp(aStr);
-        _tqreplace(aPos1, aLen1, &temp.mRep->mBuffer[temp.mStart+pos2], len2);
+        _replace(aPos1, aLen1, &temp.mRep->mBuffer[temp.mStart+pos2], len2);
     }
     else {
-        _tqreplace(aPos1, aLen1, &aStr.mRep->mBuffer[aStr.mStart+pos2], len2);
+        _replace(aPos1, aLen1, &aStr.mRep->mBuffer[aStr.mStart+pos2], len2);
     }
     return *this;
 }
 
 
-DwString& DwString::tqreplace(size_t aPos1, size_t aLen1, const char* aBuf,
+DwString& DwString::replace(size_t aPos1, size_t aLen1, const char* aBuf,
     size_t aLen2)
 {
-    _tqreplace(aPos1, aLen1, aBuf, aLen2);
+    _replace(aPos1, aLen1, aBuf, aLen2);
     return *this;
 }
 
 
-DwString& DwString::tqreplace(size_t aPos1, size_t aLen1, const char* aCstr)
+DwString& DwString::replace(size_t aPos1, size_t aLen1, const char* aCstr)
 {
     size_t len2 = (aCstr) ? strlen(aCstr) : 0;
-    _tqreplace(aPos1, aLen1, aCstr, len2);
+    _replace(aPos1, aLen1, aCstr, len2);
     return *this;
 }
 
 
-DwString& DwString::tqreplace(size_t aPos1, size_t aLen1, size_t aLen2,
+DwString& DwString::replace(size_t aPos1, size_t aLen1, size_t aLen2,
     char aChar)
 {
-    _tqreplace(aPos1, aLen1, aLen2, aChar);
+    _replace(aPos1, aLen1, aLen2, aChar);
     return *this;
 }
 
@@ -755,13 +755,13 @@ void DwString::swap(DwString& aStr)
 }
 
 
-size_t DwString::tqfind(const DwString& aStr, size_t aPos) const
+size_t DwString::find(const DwString& aStr, size_t aPos) const
 {
-    return tqfind(&aStr.mRep->mBuffer[aStr.mStart], aPos, aStr.mLength);
+    return find(&aStr.mRep->mBuffer[aStr.mStart], aPos, aStr.mLength);
 }
 
 
-size_t DwString::tqfind(const char* aBuf, size_t aPos, size_t aLen) const
+size_t DwString::find(const char* aBuf, size_t aPos, size_t aLen) const
 {
     assert(aBuf != 0);
     if (aBuf == 0) return (size_t)-1;
@@ -781,16 +781,16 @@ size_t DwString::tqfind(const char* aBuf, size_t aPos, size_t aLen) const
 }
 
 
-size_t DwString::tqfind(const char* aCstr, size_t aPos) const
+size_t DwString::find(const char* aCstr, size_t aPos) const
 {
     assert(aCstr != 0);
     if (aCstr == 0) return (size_t)-1;
     size_t len = strlen(aCstr);
-    return tqfind(aCstr, aPos, len);
+    return find(aCstr, aPos, len);
 }
 
 
-size_t DwString::tqfind(char aChar, size_t aPos) const
+size_t DwString::find(char aChar, size_t aPos) const
 {
     if (aPos >= mLength) return (size_t)-1;
     const char* buf = mRep->mBuffer + mStart;
@@ -801,13 +801,13 @@ size_t DwString::tqfind(char aChar, size_t aPos) const
 }
 
 
-size_t DwString::rtqfind(const DwString& aStr, size_t aPos) const
+size_t DwString::rfind(const DwString& aStr, size_t aPos) const
 {
-    return rtqfind(&aStr.mRep->mBuffer[aStr.mStart], aPos, aStr.mLength);
+    return rfind(&aStr.mRep->mBuffer[aStr.mStart], aPos, aStr.mLength);
 }
 
 
-size_t DwString::rtqfind(const char* aBuf, size_t aPos, size_t aLen) const
+size_t DwString::rfind(const char* aBuf, size_t aPos, size_t aLen) const
 {
     assert(aBuf != 0);
     if (aBuf == 0) return (size_t)-1;
@@ -827,15 +827,15 @@ size_t DwString::rtqfind(const char* aBuf, size_t aPos, size_t aLen) const
 }
 
 
-size_t DwString::rtqfind(const char* aCstr, size_t aPos) const
+size_t DwString::rfind(const char* aCstr, size_t aPos) const
 {
     assert(aCstr != 0);
     size_t len = (aCstr) ? strlen(aCstr) : 0;
-    return rtqfind(aCstr, aPos, len);
+    return rfind(aCstr, aPos, len);
 }
 
 
-size_t DwString::rtqfind(char aChar, size_t aPos) const
+size_t DwString::rfind(char aChar, size_t aPos) const
 {
     size_t pos = DW_MIN(aPos, mLength - 1);
     const char* buf = mRep->mBuffer + mStart;
@@ -1246,7 +1246,7 @@ void DwString::_copy()
 }
 
 
-void DwString::_tqreplace(size_t aPos1, size_t aLen1, const char* aBuf, size_t aLen2)
+void DwString::_replace(size_t aPos1, size_t aLen1, const char* aBuf, size_t aLen2)
 {
     assert(aPos1 <= mLength);
     assert(aBuf != 0);
@@ -1338,7 +1338,7 @@ void DwString::_tqreplace(size_t aPos1, size_t aLen1, const char* aBuf, size_t a
 }
 
 
-void DwString::_tqreplace(size_t aPos1, size_t aLen1, size_t aLen2, char aChar)
+void DwString::_replace(size_t aPos1, size_t aLen1, size_t aLen2, char aChar)
 {
     assert(aPos1 <= mLength);
     size_t pos1 = DW_MIN(aPos1, mLength);
diff --git a/mimelib/mimelib/body.h b/mimelib/mimelib/body.h
index d62cb608c..129c19dc0 100644
--- a/mimelib/mimelib/body.h
+++ b/mimelib/mimelib/body.h
@@ -152,7 +152,7 @@ public:
     //. be determined.
     //.
     //. This function calls the {\tt Parse()} member function of any
-    //. {\tt DwBodyPart} or {\tt DwMessage} object it tqcontains.
+    //. {\tt DwBodyPart} or {\tt DwMessage} object it contains.
     //.
     //. You should call this member function after you add a {\tt DwBodyPart}
     //. object to a multipart body, or add a {\tt DwMessage} object to a
@@ -189,7 +189,7 @@ public:
 
     void SetMessage(DwMessage* aMessage);
     //. For a {\tt DwBody} with content type of message, this member function
-    //. sets the {\tt DwMessage} object it tqcontains.
+    //. sets the {\tt DwMessage} object it contains.
 
     static DwBody* NewBody(const DwString& aStr, DwMessageComponent* aParent);
     //. Creates a new {\tt DwBody} object on the free store.
diff --git a/mimelib/mimelib/entity.h b/mimelib/mimelib/entity.h
index d1f60e7fa..1f2c3f6db 100644
--- a/mimelib/mimelib/entity.h
+++ b/mimelib/mimelib/entity.h
@@ -53,7 +53,7 @@ class DwBody;
 //. A {\tt DwEntity} object that is a root node must also be a {\tt DwMessage}
 //. object.  If a {\tt DwEntity} object is an intermediate node, its tqparent
 //. must be a {\tt DwBody} object.  The child nodes of a {\tt DwEntity}
-//. object are the {\tt DwHeaders} and {\tt DwBody} objects it tqcontains.
+//. object are the {\tt DwHeaders} and {\tt DwBody} objects it contains.
 //.
 //. Since {\tt DwEntity} is an abstract base class, you cannot create
 //. instances of it directly.  {\tt DwEntity} has two derived classes,
@@ -101,7 +101,7 @@ public:
     //. method creates or updates the broken-down representation from the
     //. string representation.  For {\tt DwEntity} objects, the parse
     //. method parses the string representation and sets the values of
-    //. the {\tt DwHeaders} and {\tt DwBody} objects it tqcontains. This
+    //. the {\tt DwHeaders} and {\tt DwBody} objects it contains. This
     //. member function also calls the {\tt Parse()} member functions
     //. of the contained {\tt DwHeaders} and {\tt DwBody} objects.
     //.
diff --git a/mimelib/mimelib/field.h b/mimelib/mimelib/field.h
index 70f584668..eac95494d 100644
--- a/mimelib/mimelib/field.h
+++ b/mimelib/mimelib/field.h
@@ -52,8 +52,8 @@ class DwFieldBody;
 //.
 //. In the tree (broken-down) representation of message, a {\tt DwField}
 //. object is always an intermediate node, having a tqparent node and a single
-//. child node.  The tqparent node is the {\tt DwHeaders} object that tqcontains
-//. it.  The child node is the {\tt DwFieldBody} object it tqcontains.
+//. child node.  The tqparent node is the {\tt DwHeaders} object that contains
+//. it.  The child node is the {\tt DwFieldBody} object it contains.
 //.
 //. To get and set the field name, use the member functions
 //. {\tt FieldNameStr()} and {\tt SetFieldNameStr()}.
@@ -190,7 +190,7 @@ public:
     //. {\tt DwFieldBody} object for this particular field.  A typical
     //. scenario might go as follows:
     //. This member function examines the field name for this field,
-    //. finds that it tqcontains "To", creates a {\tt DwAddressList} object
+    //. finds that it contains "To", creates a {\tt DwAddressList} object
     //. to contain the field body, calls the {\tt Parse()} member
     //. function for the {\tt DwAddressList}, and sets the {\tt DwAddressList}
     //. object as this {\tt DwField} object's {\tt DwFieldBody}.
diff --git a/mimelib/mimelib/headers.h b/mimelib/mimelib/headers.h
index 6598cc528..a2011776e 100644
--- a/mimelib/mimelib/headers.h
+++ b/mimelib/mimelib/headers.h
@@ -87,7 +87,7 @@ class DwText;
 //.
 //. In the tree (broken-down) representation of a message, a {\tt DwHeaders}
 //. object is an intermediate node, having both a tqparent node and several
-//. child nodes.  The tqparent node is the {\tt DwEntity} object that tqcontains
+//. child nodes.  The tqparent node is the {\tt DwEntity} object that contains
 //. it.  The child nodes are the {\tt DwField} objects in the list it manages.
 //. (See the man page for {\tt DwMessageComponent} for a discussion of
 //. the tree representation of a message.)
@@ -97,7 +97,7 @@ class DwText;
 //. which creates the {\tt DwHeaders} object for you.
 //.
 //. While {\tt DwHeaders} has public member functions for managing the list
-//. of {\tt DwField} objects it tqcontains, you will normally use convenience
+//. of {\tt DwField} objects it contains, you will normally use convenience
 //. functions to access the field bodies of the header fields directly.
 //. You can access the field body for a specific well-known header field
 //. by using the member function {\tt <Field>()}, where {\tt <Field>} is
diff --git a/mimelib/mimelib/mailbox.h b/mimelib/mimelib/mailbox.h
index 0d158ecf2..f118e38ee 100644
--- a/mimelib/mimelib/mailbox.h
+++ b/mimelib/mimelib/mailbox.h
@@ -41,7 +41,7 @@
 //+ Description
 //. RFC-822 defines a {\it mailbox} as an entity that can be the recipient
 //. of a message.  A mailbox is more specific than an {\it address}, which
-//. may be either a mailbox or a {\it group}.  An RFC-822 mailbox tqcontains
+//. may be either a mailbox or a {\it group}.  An RFC-822 mailbox contains
 //. a full name, a {\it local-part}, an optional {\it route}, and a
 //. {\it domain}.  For example, in the mailbox
 //.
@@ -53,7 +53,7 @@
 //.
 //. In MIME++, an RFC-822 mailbox is represented by a {\tt DwMailbox} object.
 //. {\tt DwMailbox} is a subclass of {\tt DwAddress}, which reflects the
-//. fact that a mailbox is also an address.  A {\tt DwMailbox} tqcontains
+//. fact that a mailbox is also an address.  A {\tt DwMailbox} contains
 //. strings representing the full name, local-part, route, and domain
 //. of a mailbox.
 //.
@@ -63,7 +63,7 @@
 //. {\tt DwMailboxList} object.
 //.
 //. {\tt DwMailbox} has member functions for getting or setting the strings
-//. it tqcontains.
+//. it contains.
 //.
 //. {\tt DwMailbox} object can be included in a list of {\tt DwMailbox}
 //. objects.  To get the next {\tt DwMailbox} object in a list, use the
diff --git a/mimelib/mimelib/message.h b/mimelib/mimelib/message.h
index 8ce31abc1..3cfac7013 100644
--- a/mimelib/mimelib/message.h
+++ b/mimelib/mimelib/message.h
@@ -45,7 +45,7 @@
 //. In the tree (broken-down) representation of message, a {\tt DwMessage}
 //. object is almost always a root node, having child nodes but no tqparent node.
 //. The child nodes are the {\tt DwHeaders} object and the {\tt DwBody} object
-//. it tqcontains.  A {\tt DwMessage} may sometimes be an intermediate node.  In
+//. it contains.  A {\tt DwMessage} may sometimes be an intermediate node.  In
 //. this special case, the tqparent node is a {\tt DwBody} object of type
 //. "message/*" and the {\tt DwMessage} object represents an encapsulated
 //. message.
diff --git a/mimelib/mimelib/string.h b/mimelib/mimelib/string.h
index 556d67940..35cf4f8dd 100644
--- a/mimelib/mimelib/string.h
+++ b/mimelib/mimelib/string.h
@@ -285,13 +285,13 @@ public:
     //. available.
     //. Returns {\tt *this}.
 
-    DwString& tqreplace(size_t aPos1, size_t aLen1, const DwString& aStr);
-    DwString& tqreplace(size_t aPos1, size_t aLen1, const DwString& aStr,
+    DwString& replace(size_t aPos1, size_t aLen1, const DwString& aStr);
+    DwString& replace(size_t aPos1, size_t aLen1, const DwString& aStr,
         size_t aPos2, size_t aLen2);
-    DwString& tqreplace(size_t aPos1, size_t aLen1, const char* aBuf,
+    DwString& replace(size_t aPos1, size_t aLen1, const char* aBuf,
         size_t aLen2);
-    DwString& tqreplace(size_t aPos1, size_t aLen1, const char* aCstr);
-    DwString& tqreplace(size_t aPos1, size_t aLen1, size_t aLen2, char aChar);
+    DwString& replace(size_t aPos1, size_t aLen1, const char* aCstr);
+    DwString& replace(size_t aPos1, size_t aLen1, size_t aLen2, char aChar);
     //. Removes {\tt aLen1} characters beginning at position {\tt aPos1}
     //. and inserts other characters.
     //. Returns {\tt *this}.
@@ -338,10 +338,10 @@ public:
     //. should be considered invalid after any call to a non-const member
     //. function or another call to {\tt c_str()}.
 
-    size_t tqfind(const DwString& aStr, size_t aPos=0) const;
-    size_t tqfind(const char* aBuf, size_t aPos, size_t aLen) const;
-    size_t tqfind(const char* aCstr, size_t aPos=0) const;
-    size_t tqfind(char aChar, size_t aPos=0) const;
+    size_t find(const DwString& aStr, size_t aPos=0) const;
+    size_t find(const char* aBuf, size_t aPos, size_t aLen) const;
+    size_t find(const char* aCstr, size_t aPos=0) const;
+    size_t find(char aChar, size_t aPos=0) const;
     //. Performs a forward search for a sequence of characters in the
     //. {\tt DwString} object.  The return value is the position of the
     //. sequence in the string if found, or {\tt DwString::npos} if not
@@ -360,10 +360,10 @@ public:
     //. The fourth version searches beginning at position {\tt aPos} for
     //. the character {\tt aChar}.
 
-    size_t rtqfind(const DwString& aStr, size_t aPos=npos) const;
-    size_t rtqfind(const char* aBuf, size_t aPos, size_t aLen) const;
-    size_t rtqfind(const char* aCstr, size_t aPos=npos) const;
-    size_t rtqfind(char aChar, size_t aPos=npos) const;
+    size_t rfind(const DwString& aStr, size_t aPos=npos) const;
+    size_t rfind(const char* aBuf, size_t aPos, size_t aLen) const;
+    size_t rfind(const char* aCstr, size_t aPos=npos) const;
+    size_t rfind(char aChar, size_t aPos=npos) const;
     //. Performs a reverse search for a sequence of characters in the
     //. {\tt DwString} object.  The return value is the position of the
     //. sequence in the string if found, or {\tt DwString::npos} if not
@@ -557,8 +557,8 @@ protected:
     size_t  mLength;
 
     void _copy();
-    void _tqreplace(size_t aPos1, size_t aLen1, const char* aBuf, size_t aLen2);
-    void _tqreplace(size_t aPos1, size_t aLen1, size_t aLen2, char aChar);
+    void _replace(size_t aPos1, size_t aLen1, const char* aBuf, size_t aLen2);
+    void _replace(size_t aPos1, size_t aLen1, size_t aLen2, char aChar);
 
 private:
     static const size_t kEmptyBufferSize;
diff --git a/plugins/kmail/bodypartformatter/text_calendar.cpp b/plugins/kmail/bodypartformatter/text_calendar.cpp
index d07e6cb11..b615452a9 100644
--- a/plugins/kmail/bodypartformatter/text_calendar.cpp
+++ b/plugins/kmail/bodypartformatter/text_calendar.cpp
@@ -118,10 +118,10 @@ CalendarManager::CalendarManager()
       const TQStringList subResources = (*it)->subresources();
       TQMap<TQString, int> prefixSet; // KDE4: TQSet
       for ( TQStringList::ConstIterator subIt = subResources.begin(); subIt != subResources.end(); ++subIt ) {
-        if ( !(*subIt).tqcontains( "/.INBOX.directory/" ) )
+        if ( !(*subIt).contains( "/.INBOX.directory/" ) )
           // we don't care about shared folders
           continue;
-        prefixSet.insert( (*subIt).left( (*subIt).tqfind( "/.INBOX.directory/" ) ), 0 );
+        prefixSet.insert( (*subIt).left( (*subIt).find( "/.INBOX.directory/" ) ), 0 );
       }
       if ( prefixSet.count() > 1 )
         multipleKolabResources = true;
diff --git a/plugins/kmail/bodypartformatter/text_vcard.cpp b/plugins/kmail/bodypartformatter/text_vcard.cpp
index a084aea13..9752336a7 100644
--- a/plugins/kmail/bodypartformatter/text_vcard.cpp
+++ b/plugins/kmail/bodypartformatter/text_vcard.cpp
@@ -133,7 +133,7 @@ namespace {
 #else
       Addressee::List al = vcc.parseVCards( vCard );
 #endif
-      int index = path.right( path.length() - path.tqfindRev( ":" ) - 1 ).toInt();
+      int index = path.right( path.length() - path.findRev( ":" ) - 1 ).toInt();
       if ( index == -1 ) return true;
       KABC::Addressee a = al[index];
       if ( a.isEmpty() ) return true;
@@ -151,7 +151,7 @@ namespace {
 #else
         Addressee::List al = vcc.parseVCards( vCard );
 #endif
-        int index = path.right( path.length() - path.tqfindRev( ":" ) - 1 ).toInt();
+        int index = path.right( path.length() - path.findRev( ":" ) - 1 ).toInt();
         if ( index >= 0 ) {
           return al[index];
         }
diff --git a/translate b/translate
index 232c2c047..0a19b1bf1 100644
--- a/translate
+++ b/translate
@@ -58,7 +58,7 @@ scripts/merge_all.sh
 
 svn diff
 
-for i in `tqfind -name kdepim`; do
+for i in `find -name kdepim`; do
   cd $i || exit 1
 
   for t in `svn status 2>&1 | grep '^M' | gawk '{print $2}'`; do
diff --git a/wizards/groupwisewizard.cpp b/wizards/groupwisewizard.cpp
index 52b6c1af2..47126b0ad 100644
--- a/wizards/groupwisewizard.cpp
+++ b/wizards/groupwisewizard.cpp
@@ -406,8 +406,8 @@ void GroupwiseWizard::slotAboutToShowPage( TQWidget *page )
   if ( page == mEmailPage ) {
     if ( mEmailEdit->text().isEmpty() ) {
       TQString host = GroupwiseConfig::host();
-      int pos = host.tqfindRev( "." );
-      if ( pos > 0 ) pos = host.tqfindRev( ".", pos - 1 );
+      int pos = host.findRev( "." );
+      if ( pos > 0 ) pos = host.findRev( ".", pos - 1 );
       if ( pos > 0 ) host = host.mid( pos + 1 );
       TQString email = GroupwiseConfig::user() + "@" + host;
       mEmailEdit->setText( email );
diff --git a/wizards/kmailchanges.cpp b/wizards/kmailchanges.cpp
index 86fd05b3f..d5a9fc8c2 100644
--- a/wizards/kmailchanges.cpp
+++ b/wizards/kmailchanges.cpp
@@ -280,16 +280,16 @@ void CreateDisconnectedImapAccount::apply()
   es.setSetting( KEMailSettings::EmailAddress, mEmail );
 
   KPIM::IdentityManager identityManager;
-  if ( !identityManager.allEmails().tqcontains( mEmail ) ) {
+  if ( !identityManager.allEmails().contains( mEmail ) ) {
     // Not sure how to name the identity. First one is "Default", next one mAccountName, but then...
     // let's use the server name after that.
     TQString accountName = mAccountName;
     const TQStringList identities = identityManager.identities();
-    if ( identities.tqfind( accountName ) != identities.end() ) {
+    if ( identities.find( accountName ) != identities.end() ) {
       accountName = mServer;
       int i = 2;
       // And if there's already one, number them
-      while ( identities.tqfind( accountName ) != identities.end() ) {
+      while ( identities.find( accountName ) != identities.end() ) {
         accountName = mServer + " " + TQString::number( i++ );
       }
     }
diff --git a/wizards/kolabkmailchanges.cpp b/wizards/kolabkmailchanges.cpp
index a38c7fd7b..a0eef1fa9 100644
--- a/wizards/kolabkmailchanges.cpp
+++ b/wizards/kolabkmailchanges.cpp
@@ -108,7 +108,7 @@ void createKMailChanges( KConfigPropagator::Change::List& changes )
   TQString defaultDomain = KolabConfig::self()->server();
   const TQString server = KolabConfig::self()->server();
   TQString user = KolabConfig::self()->user();
-  int pos = user.tqfind( "@" );
+  int pos = user.find( "@" );
   // with kolab the userid _is_ the full email
   if ( pos > 0 ) {
     // The user typed in a full email address. Assume it's correct
diff --git a/wizards/kolabwizard.cpp b/wizards/kolabwizard.cpp
index 6aad529e5..651336a85 100644
--- a/wizards/kolabwizard.cpp
+++ b/wizards/kolabwizard.cpp
@@ -59,7 +59,7 @@ class SetupLDAPSearchAccount : public KConfigPropagator::Change
       // If the user gave a full email address, the domain name
       // of that overrides the server name for the ldap dn
       const TQString user = KolabConfig::self()->user();
-      int pos = user.tqfind( "@" );
+      int pos = user.find( "@" );
       if ( pos > 0 ) {
         const TQString h = user.mid( pos+1 );
         if ( !h.isEmpty() )
@@ -72,7 +72,7 @@ class SetupLDAPSearchAccount : public KConfigPropagator::Change
         c.writeEntry( "Default domain", basedn );
       }
 
-      basedn.tqreplace(".",",dc=");
+      basedn.replace(".",",dc=");
       basedn.prepend("dc=");
 
       // Set the changes
@@ -181,7 +181,7 @@ class KolabPropagator : public KConfigPropagator
 
       TQString user = KolabConfig::self()->user();
       // We now use the full email address in the freebusy URL
-      //int pos = user.tqfind( "@" );
+      //int pos = user.find( "@" );
       //if ( pos > 0 ) user = user.left( pos );
 
       KURL publishURL = freeBusyBaseUrl;
diff --git a/wizards/servertypemanager.cpp b/wizards/servertypemanager.cpp
index d7c9287f7..fec5bd120 100644
--- a/wizards/servertypemanager.cpp
+++ b/wizards/servertypemanager.cpp
@@ -54,7 +54,7 @@ TQStringList ServerTypeManager::identifiers() const
 
 TQString ServerTypeManager::title( const TQString& identifier ) const
 {
-  ServerTypeFactoryMap::ConstIterator it = mServerTypeFactoryMap.tqfind( identifier );
+  ServerTypeFactoryMap::ConstIterator it = mServerTypeFactoryMap.find( identifier );
   if ( it == mServerTypeFactoryMap.end() )
     return TQString();
   else
@@ -63,9 +63,9 @@ TQString ServerTypeManager::title( const TQString& identifier ) const
 
 ServerType* ServerTypeManager::serverType( const TQString& identifier )
 {
-  ServerTypeMap::ConstIterator serverIt = mServerTypeMap.tqfind( identifier );
+  ServerTypeMap::ConstIterator serverIt = mServerTypeMap.find( identifier );
   if ( serverIt == mServerTypeMap.end() ) { // none server type loaded yet
-    ServerTypeFactoryMap::Iterator it = mServerTypeFactoryMap.tqfind( identifier );
+    ServerTypeFactoryMap::Iterator it = mServerTypeFactoryMap.find( identifier );
     if ( it == mServerTypeFactoryMap.end() ) // no factory for this type
       return 0;
 
